<template>
  <page
    class="flex-grow-1"
    id="find_user"
    title="Usuários"
  >
    <v-list two-line="two-line">
      <v-list-item v-if="!users || users.length === 0">
        <v-list-item-content>
          <v-list-item-title>No results found!</v-list-item-title>
        </v-list-item-content>
      </v-list-item>
      <v-list-item
        v-else
        v-for="user in users"
        :key="user.id"
      >
        <v-list-item-content>
          <v-list-item-title>{{user.email}}</v-list-item-title>
        </v-list-item-content>
        <v-list-item-action>
          <v-btn
            icon="icon"
            @click="$router.push({ name: 'user', params: { id: user.id } })"
          >
            <v-icon>mdi-information</v-icon>
          </v-btn>
        </v-list-item-action>
      </v-list-item>
    </v-list>
  </page>
</template>

<script lang="ts">
import Vue from 'vue'

import Page from '@/components/Page.vue'

import listUsersQuery from '@/gql/UserList.gql'

export default Vue.extend({
  name: 'UsersPage',
  components: { Page },
  apollo: {
    users: {
      query: listUsersQuery,
      pollInterval: 10000
    }
  }
})
</script>
